extends Button
class_name SceneChanger

@export_file("*.tscn") var TARGET_SCENE;
@export var reset_gamestate = false

func _pressed():
	print("Changing scene to: " + TARGET_SCENE)
	get_tree().change_scene_to_file(TARGET_SCENE)

	if reset_gamestate:
		g_game_state.reset()
